---
updatedAt: 2026-07-30T11:03:52.000Z
agentTools:
  projectIndex: https://developer.orangelogic.com/llms.txt
---

# Retrieve watermark presets to use in a public Share link

Retrieve the existing watermark preset identifiers

Use this call to retrieve the IDs of existing watermark presets. You can add the ID to the <code>watermarkPreset</code> parameter when you [generate a public Share link](https://developer.orangelogic.com/reference/generate-a-public-share-link).

> 🎓 Insight: Watermarks
>
> Watermarks can help ensure assets aren’t used without permission or credit. To make it quick and easy for users to apply consistent watermarks, you can create presets. Users can then select a watermark when they download or create links to assets.
>
> The watermark preset selection list shows only the presets that are applicable to the selected asset, based on asset file type.

[block:image]{"images":[{"image":["https://files.readme.io/d3686698823268a0101383b2dc0b82a0016d62f4bf5bcfb77319e5759359b2ae-Watermark_presets.png","",""],"align":"center","caption":"Watermark presets"}]}[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "get-link",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://{OrangeLogicURL}/webapi/objectmanagement/share",
      "variables": {
        "OrangeLogicURL": {
          "default": "OrangeLogicURL"
        }
      }
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://example.com/oauth2/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/getwatermarkpresets_41MB_V1": {
      "get": {
        "summary": "Retrieve watermark presets to use in a public Share link",
        "description": "Retrieve the existing watermark preset identifiers",
        "operationId": "retrieve-watermark-presets-to-use-in-a-public-share-link",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"watermarkPresets\": [\n    {\n      \"presetID\": \"Q0LND000000308744\",\n      \"presetName\": \"Mangovations logo\"\n    },\n    {\n      \"presetID\": \"ShareOption_WM_Compact\",\n      \"presetName\": \"Compact share information\"\n    },\n    {\n      \"presetID\": \"ShareOption_WM_Detailed\",\n      \"presetName\": \"Detailed share information\"\n    }"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X 'GET' \\\n  'https://mangovations.orangelogic.com/webapi/objectmanagement/share/getwatermarkpresets_41MB_V1' \\\n  -H 'accept: text/plain'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```